KRES::SelectDialog Class Reference

`#include <selectdialog.h>`

Inherits KDialog.

## Public Member Functions

| SelectDialog (QPtrList< Resource > list, QWidget *parent=0, const char *name=0)
Resource * | resource ()

## Static Public Member Functions

static Resource * | getResource (QPtrList< Resource > list, QWidget *parent=0)

## Detailed Description

Dialog for selecting a resource.

Example:

QPtrList<Resource> list = ... // can be retrived from KRES::Manager (e.g. KABC::AddressBook)
KABC::Resource *res = KABC::SelectDialog::getResource( list, parentWdg );
if ( !res ) {
// no resource selected
} else {
// do something with resource
}

Definition at line 56 of file selectdialog.h.

## Constructor & Destructor Documentation

SelectDialog::SelectDialog | ( | QPtrList< Resource > | list,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Parameters

  list | The list of available resources
  parent | The parent widget
  name | The name of the dialog

Definition at line 38 of file selectdialog.cpp.

## Member Function Documentation

Resource * SelectDialog::getResource | ( | QPtrList< Resource > | list,
|  | QWidget * | parent = `0`
| ) |  |

static

Opens a dialog showing the available resources and returns the resource the user has selected.

Returns 0, if the dialog was canceled.

Definition at line 92 of file selectdialog.cpp.

Resource * SelectDialog::resource | ( |  | ) |

Returns selected resource.

Definition at line 84 of file selectdialog.cpp.

The documentation for this class was generated from the following files:

- selectdialog.h
- selectdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys